Package com.ocient.jdbc

# Class XGArray

java.lang.Object
com.ocient.jdbc.XGArray

All Implemented Interfaces:
  `Array`

    public class XGArray
    extends Object
    implements Array

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`XGArray​(int numElements, byte type, XGConnection conn, XGStatement stmt)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `add​(Object obj, int pos)` |
`void` | `free()` |
`Object` | `getArray()` |
`Object` | `getArray​(long index, int count)` |
`Object` | `getArray​(long index, int count, Map<String,​Class<?>> map)` |
`Object` | `getArray​(Map<String,​Class<?>> map)` |
`int` | `getBaseType()` |
`String` | `getBaseTypeName()` |
`ResultSet` | `getResultSet()` |
`ResultSet` | `getResultSet​(long index, int count)` |
`ResultSet` | `getResultSet​(long index, int count, Map<String,​Class<?>> map)` |
`ResultSet` | `getResultSet​(Map<String,​Class<?>> map)` |
`String` | `toString()` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### XGArray

public XGArray​(int numElements, byte type, XGConnection conn, XGStatement stmt)

## Method Details

### add

public void add​(Object obj, int pos)

### free

public void free() throws SQLException

Specified by:
  `free` in interface `Array`
Throws:
  `SQLException`

### getArray

public Object getArray() throws SQLException

Specified by:
  `getArray` in interface `Array`
Throws:
  `SQLException`

### getArray

public Object getArray​(long index, int count) throws SQLException

Specified by:
  `getArray` in interface `Array`
Throws:
  `SQLException`

### getArray

public Object getArray​(long index, int count, Map<String,​Class<?>> map) throws SQLException

Specified by:
  `getArray` in interface `Array`
Throws:
  `SQLException`

### getArray

public Object getArray​(Map<String,​Class<?>> map) throws SQLException

Specified by:
  `getArray` in interface `Array`
Throws:
  `SQLException`

### getBaseType

public int getBaseType() throws SQLException

Specified by:
  `getBaseType` in interface `Array`
Throws:
  `SQLException`

### getBaseTypeName

public String getBaseTypeName() throws SQLException

Specified by:
  `getBaseTypeName` in interface `Array`
Throws:
  `SQLException`

### getResultSet

public ResultSet getResultSet() throws SQLException

Specified by:
  `getResultSet` in interface `Array`
Throws:
  `SQLException`

### getResultSet

public ResultSet getResultSet​(long index, int count) throws SQLException

Specified by:
  `getResultSet` in interface `Array`
Throws:
  `SQLException`

### getResultSet

public ResultSet getResultSet​(long index, int count, Map<String,​Class<?>> map) throws SQLException

Specified by:
  `getResultSet` in interface `Array`
Throws:
  `SQLException`

### getResultSet

public ResultSet getResultSet​(Map<String,​Class<?>> map) throws SQLException

Specified by:
  `getResultSet` in interface `Array`
Throws:
  `SQLException`

### toString

public String toString()

Overrides:
  `toString` in class `Object`